<?xml version="1.0" encoding="UTF-8"?>

<!--
 The contents of this file are subject to the terms 
 of the Common Development and Distribution License 
 (the License).  You may not use this file except in
 compliance with the License.
 
 You can obtain a copy of the license at 
 https://glassfish.dev.java.net/public/CDDLv1.0.html or
 glassfish/bootstrap/legal/CDDLv1.0.txt.
 See the License for the specific language governing 
 permissions and limitations under the License.
 
 When distributing Covered Code, include this CDDL 
 Header Notice in each file and include the License file 
 at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 If applicable, add the following below the CDDL Header, 
 with the fields enclosed by brackets [] replaced by
 you own identifying information: 
 "Portions Copyrighted [year] [name of copyright owner]"
 
 Copyright 2006 Sun Microsystems, Inc. All rights reserved.
-->
<web-app 
    xmlns="http://java.sun.com/xml/ns/j2ee" 
    version="2.4" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">

  <description>Supports access by Java Web Start to application clients deployed to the app server</description>
  <display-name>Java Web Start access to app clients</display-name>
  <distributable/>
  <servlet>
    <description>Responds to all requests for app client content originating from Java Web Start</description>
    <display-name>Java Web Start app client servlet</display-name>
    <servlet-name>JWSSystemServlet</servlet-name>
    <servlet-class>com.sun.enterprise.appclient.jws.JWSSystemServlet</servlet-class>
    <!--
        Load-on-startup allows the servlet to initialize data structures that
        are populated when user applications are loaded.  This web app is
        marked in its manifest as a system app for this to work.
    -->
    <load-on-startup>1</load-on-startup>
  </servlet>
  <servlet-mapping>
    <servlet-name>JWSSystemServlet</servlet-name>
    <url-pattern>/*</url-pattern>
  </servlet-mapping>
  <session-config>
    <session-timeout>30</session-timeout>
  </session-config>
</web-app>